<!DOCTYPE html>
<html>
<head>
  <title>GitLab DevSecOps Landing Zone</title>
  <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
  <h1>GitLab DevSecOps Landing Zone</h1>

  <div id="selection">
    <h2>Selection</h2>
    <form id="filterForm">
      <div class="filter-row">
        <label for="gitlabInstanceType">GitLab Instance Type:</label>
        <select id="gitlabInstanceType" name="gitlabInstanceType">
          <option value="selfManaged">Self-Managed</option>
          <option value="saas">SaaS</option>
        </select>
      
        <label for="subscription">Subscription:</label>
        <select id="subscription" name="subscription">
          <option value="free">Free</option>
          <option value="premium">Premium</option>
          <option value="ultimate">Ultimate</option>
        </select>

        <label for="jobRole">Job Role:</label>
        <select id="jobRole" name="jobRole">
          <option value="gitlabAdmin">GitLab Admin</option>
          <option value="securityLead">Security Lead</option>
          <option value="developmentLead">Development Lead</option>
          <option value="devOpsLead">DevOps Lead</option>
        </select>

        <label for="companySize">Size of Company:</label>
        <select id="companySize" name="companySize">
          <option value="commercial">Commercial</option>
          <option value="startup">StartUp</option>
          <option value="enterprise">Enterprise</option>
        </select>

        <input type="submit" value="Select">
      </div>
    </form>
  </div>

  <div id="itemList">
    <h2>Implementation List</h2>
    <table>
      <thead>
        <tr>
          <th>Feature</th>
          <th>Description</th>
          <th>Priority</th>
          <th>Difficulty</th>
        </tr>
      </thead>
      <tbody id="list">
        <tr>
          <td><a href="#feature1">.gitignore File</a></td>
          <td>.gitignore files help prevent accidental commits of sensitive, debug, or workstation specific data</td>
          <td>1</td>
          <td><span class="easy">Easy</span></td>
        </tr>
        <tr>
          <td><a href="#feature2">Disabling http(s) git actions</a></td>
          <td>Use the SSH protocol to access your repositories instead of HTTPS</td>
          <td>2</td>
          <td><span class="medium">Medium</span></td>
        </tr>
        <tr>
            <td><a href="#feature3">Push rules</a></td>
            <td>Push rules or pre-receive Git hooks give you more control over what can and can’t be pushed to your repository.</td>
            <td>1</td>
            <td><span class="hard">Hard</span></td>
          </tr>
      </tbody>
    </table>
  </div>

  <div id="featureDetails">
    <h2>Feature Details</h2>
    <div id="feature1">
      <h3>.gitignore File</h3>
      <p>Implementation guide: Long Text with links describing how to implement the feature in GitLab</p>
      <p>Demo Video Link: <a href="#">Link to Demo Video</a> how to implement and use the feature</p>
      <p>Link to internal Demo Project: <a href="#">Link to Demo Project</a> for testing the feature</p>
    </div>
    <div id="feature2">
        <h3>Disabling http(s) git actions</h3>
        <p>Implementation guide: Long Text with links describing how to implement the feature in GitLab</p>
        <p>Demo Video Link: <a href="#">Link to Demo Video</a> how to implement and use the feature</p>
        <p>Link to internal Demo Project: <a href="#">Link to Demo Project</a> for testing the feature</p>
    </div>
    <div id="feature3">
        <h3>Push rules</h3>
        <p>Implementation guide: Long Text with links describing how to implement the feature in GitLab</p>
        <p>Demo Video Link: <a href="#">Link to Demo Video</a> how to implement and use the feature</p>
        <p>Link to internal Demo Project: <a href="#">Link to Demo Project</a> for testing the feature</p>
    </div>
  </div>